Main Page | Modules | Class List | File List | Class Members | File Members

# tif_xfile.cpp File Reference

`#include <windows.h>`
`#include <stdio.h>`
`#include "ximage.h"`
`#include "../tiff/tiffiop.h"`
`#include "xfile.h"`
`#include <sys/stat.h>`
`#include <malloc.h>`

## Functions
int | _tiffCloseProcEx (thandle_t fd)
TIFF * | _TIFFFdOpen (int fd, const char *name, const char *mode)
void | _TIFFfree (tdata_t p)
tdata_t | _TIFFmalloc (tsize_t s)
int | _tiffMapProcEx (thandle_t fd, tdata_t *pbase, toff_t *psize)
int | _TIFFmemcmp (const tdata_t p1, const tdata_t p2, tsize_t c)
void | _TIFFmemcpy (tdata_t d, const tdata_t s, tsize_t c)
void | _TIFFmemset (tdata_t p, int v, tsize_t c)
TIFF * | _TIFFOpenEx (CxFile *stream, const char *mode)
tsize_t | _tiffReadProcEx (thandle_t fd, tdata_t buf, tsize_t size)
tdata_t | _TIFFrealloc (tdata_t p, tsize_t s)
toff_t | _tiffSeekProcEx (thandle_t fd, toff_t off, int whence)
toff_t | _tiffSizeProcEx (thandle_t fd)
void | _tiffUnmapProcEx (thandle_t fd, tdata_t base, toff_t size)
tsize_t | _tiffWriteProcEx (thandle_t fd, tdata_t buf, tsize_t size)
void | Win32ErrorHandler (const char *module, const char *fmt, va_list ap)
void | Win32WarningHandler (const char *module, const char *fmt, va_list ap)
## Variables
TIFFErrorHandler | _TIFFerrorHandler = Win32ErrorHandler
TIFFErrorHandler | _TIFFwarningHandler = Win32WarningHandler

## Function Documentation

int _tiffCloseProcEx | ( | thandle_t | fd | ) | `[static]`

TIFF* _TIFFFdOpen | ( | int | fd,
|  | const char * | name,
|  | const char * | mode
| ) |

void _TIFFfree | ( | tdata_t | p | ) |

tdata_t _TIFFmalloc | ( | tsize_t | s | ) |

int _tiffMapProcEx | ( | thandle_t | fd,
|  | tdata_t * | pbase,
|  | toff_t * | psize
| ) | `[static]`

int _TIFFmemcmp | ( | const tdata_t | p1,
|  | const tdata_t | p2,
|  | tsize_t | c
| ) |

void _TIFFmemcpy | ( | tdata_t | d,
|  | const tdata_t | s,
|  | tsize_t | c
| ) |

void _TIFFmemset | ( | tdata_t | p,
|  | int | v,
|  | tsize_t | c
| ) |

TIFF* _TIFFOpenEx | ( | CxFile * | stream,
|  | const char * | mode
| ) |

tsize_t _tiffReadProcEx | ( | thandle_t | fd,
|  | tdata_t | buf,
|  | tsize_t | size
| ) | `[static]`

tdata_t _TIFFrealloc | ( | tdata_t | p,
|  | tsize_t | s
| ) |

toff_t _tiffSeekProcEx | ( | thandle_t | fd,
|  | toff_t | off,
|  | int | whence
| ) | `[static]`

toff_t _tiffSizeProcEx | ( | thandle_t | fd | ) | `[static]`

void _tiffUnmapProcEx | ( | thandle_t | fd,
|  | tdata_t | base,
|  | toff_t | size
| ) | `[static]`

tsize_t _tiffWriteProcEx | ( | thandle_t | fd,
|  | tdata_t | buf,
|  | tsize_t | size
| ) | `[static]`

void Win32ErrorHandler | ( | const char * | module,
|  | const char * | fmt,
|  | va_list | ap
| ) | `[static]`

void Win32WarningHandler | ( | const char * | module,
|  | const char * | fmt,
|  | va_list | ap
| ) | `[static]`

## Variable Documentation

TIFFErrorHandler _TIFFerrorHandler = Win32ErrorHandler

TIFFErrorHandler _TIFFwarningHandler = Win32WarningHandler